## NAME

d.param.scale - Calculates surface parameters and features from a DEM and displays them in GRASS monitor. It allows interactive indentification of terrain parameters and features with a mouse. Reports membership classes for variable window sizes and their variance or entropy.
(GRASS Raster Program)

## SYNOPSIS

d.param.scale
d.param.scale help
d.param.scale [-c] [-f] [-t] in=name out=name [s_tol=value] [c_tol=value] [size=value] [param=name] [exp=value] [zscale=value]

## DESCRIPTION

The GRASS program d.param.scale can be used to identify interactively terrain parameters and features with a mouse. Reports membership classes for variable window sizes and their variance or entropy.

## PROGRAM OPTIONS

d.param.scale can be run either non-interactively or interactively. In non-interactive use, the user must specify the name of the raster map layer to be used for input on the command line, using the form in=name name (where the name is the name of a raster map layer to be input.

### Flags:

-c
  If set, d.param.scale constrains model through central window cell

-f
  If set, d.param.scale fixes the axis scale

-t
  If set, d.param.scale creates text output of results

### Parameters:

in=name: Raster surface layer to interrogate

s_tol =value: Slope tolerance value that defines a `flat' surface (degrees) - default: 1.0

c_tol=value: Curvature tolerance value that defines a `planar' surface - default: 1.0

size =value: Size of processing window (odd number only) - default: 15

param=value: Morphometric parameter to calculate options: elev, slope, aspect, profc, planc, longc, crosc, minic, maxic, feature, resid, moran, geary - default: elev

exp =value: Exponent for distance weighting (0.0-4.0) 1 implies a linear decay, 2 an inverse distance squared decay - default: 0.0 (no distance decay).

zscale =value: Vertical scaling factor - default: 1.0
  With:

           elev:     Generalised elevation value.
           slope:    Maximum gradient at a point.
           aspect:   Direction of maximum gradient.
           profc:    Profile convexity (vertical in direction of steepest slope).
           planc:    Plan convexity (contour curvature).
           crosc:    Cross sectional convexity (tangent to contours, downslope).
           longc:    Longitudinal convexity (perpendicular to contours downslope).
           minic:    Minimum convexity.
           maxic:    Maximum convexity.
           feature:  Morphometric features:
                       peaks, ridges, passes, channels, pits and planes.
           resid:
           moran: Moran statistics
           geary:

## SEE ALSO

r.param.scale
parser

## AUTHOR

Jo Wood, PROJECT ASSIST,
Department of Geography, University of Leicester

## REFERENCE

Wood, J. (1996): The Geomorphological characterisation of Digital Elevation Models. Diss., Department of Geography, University of Leicester, U.K.
online at:
www.geog.le.ac.uk/jwo/research/dem_char/thesis/index.html

Last changed: $Date: 2002/01/25 05:45:33 $